var createWebViewWithControl = function(params) {
	var url = params.url;
	var title = params.title || '';
	var showCloseBtn = params.showCloseBtn || false;

	var backBtn = Ti.UI.createButton({
		image : Ti.Filesystem.resourcesDirectory + '/images/iphone_back_on.png',
		height : 15,
		width : 21,
		enabled : false
	});
	var forwardBtn = Ti.UI.createButton({
		systemButton : Ti.UI.iPhone.SystemButton.PLAY
	});
	var reloadBtn = Ti.UI.createButton({
		systemButton : Ti.UI.iPhone.SystemButton.REFRESH
	});
	var actionBtn = Ti.UI.createButton({
		systemButton : Ti.UI.iPhone.SystemButton.ACTION,
		enabled : false
	});

	var win = Ti.UI.createWindow({
		title : '読み込み中...',
		backgroundColor : '#fff'
	});
	var webView = Ti.UI.createWebView({
		url : url
	});
	webView.addEventListener('load', function() {
		actionBtn.enabled = true;
		if(win.title != title) {
			win.title = title;
		}
	});
	win.add(webView);
	var closeButton = Ti.UI.createButton({
		title : '閉じる'
	});
	closeButton.addEventListener('click', function() {
		win.close();
	});
	if(showCloseBtn){
		win.rightNavButton = closeButton;
	}
	
	backBtn.setEnabled(false);
	backBtn.addEventListener('click', function() {
		webView.goBack();
	});

	forwardBtn.setEnabled(false);
	forwardBtn.addEventListener('click', function() {
		webView.goForward();
	});

	webView.addEventListener('load', function() {
		if(webView.canGoForward()) {
			forwardBtn.setEnabled(true);
		} else {
			forwardBtn.setEnabled(false);
		}
		if(webView.canGoBack()) {
			backBtn.setEnabled(true);
		} else {
			backBtn.setEnabled(false);
		}
	});

	reloadBtn.addEventListener('click', function() {
		webView.setUrl(webView.getUrl());
	});

	actionBtn.addEventListener('click', function() {
		// define some action
		var webViewUrl = webView.getUrl();
		var dialog = Ti.UI.createOptionDialog({
			title : webViewUrl,
			options : ['Safariで開く', 'メール', 'キャンセル'],
			cancel : 2
		});
		dialog.addEventListener('click', function(e) {
			if(e.index == 0) {
				Ti.Platform.openURL(webView.getUrl());
			} else if(e.index == 1) {
				var emailDialog = Ti.UI.createEmailDialog();
				var text = webView.evalJS('document.title');
				var url = webView.evalJS('location.href');
				emailDialog.setSubject('');
				emailDialog.setMessageBody(text + "\n" + url);
				emailDialog.addEventListener('complete', function(e) {
				});
				emailDialog.open();
			}
		});
		dialog.show();
	});
	var flex = Ti.UI.createButton({
		systemButton : Ti.UI.iPhone.SystemButton.FLEXIBLE_SPACE
	});
	if (Titanium.Platform.osname!='android'){
		win.setToolbar([flex, backBtn, flex, forwardBtn, flex, reloadBtn, flex, actionBtn, flex]);
	}
	return win;
};
var win = createWebViewWithControl({
	url : "http://www.dchl.co.jp/",
	title : "DCHL Online",
	showCloseBtn : false
});
win.open({modal:true});
